<?php

declare(strict_types=1);

namespace PpPhp\Core\Diagnostics\Metadata;

interface MetadataInterface
{
    public function id(): string;

    public function type(): string;

    public function label(): string;

    public function version(): string;

    public function path(): string;

    public function dependencies(): array;

    public function capabilities(): array;

    public function assets(): array;

    public function raw(): array;

    public function toArray(): array;
}
